use std::error::Error;
use sea_orm::{ActiveModelTrait, ActiveValue, DatabaseConnection};

use super::{ActiveModel, Model};

pub async fn add_to_database(objs:Vec<Model>,db:&DatabaseConnection)->Result<(),Box<dyn Error>>{
    let mut tasks = vec![];
    for i in objs{
        let inner_db: DatabaseConnection = db.clone();
        tasks.push(tokio::spawn(async move{
            ActiveModel{
                id:ActiveValue::not_set(),
                bsm:ActiveValue::set(i.bsm),
                hz:ActiveValue::set(i.hz),
                py_js:ActiveValue::set(i.py_js)
            }.insert(&inner_db).await
        }));
    }

    for i in tasks{
        i.await??;
    }
    
    return Ok(());
}